SQLITE3_STRLIKE(3) | Library Functions Manual | SQLITE3_STRLIKE(3)

# NAME

`sqlite3_strlike` —
String LIKE Matching

# SYNOPSIS

int
`sqlite3_strlike`(const char *zGlob, const char *zStr, unsigned int cEsc);

# DESCRIPTION

The sqlite3_strlike(P,X,E) function matches Unicode characters, though only ASCII characters are case folded.

Note that this routine returns zero on a match and non-zero if the strings do not match, the same as sqlite3_stricmp() and sqlite3_strnicmp().

# SEE ALSO

sqlite3_strglob(3), sqlite3_stricmp(3)

December 19, 2018 | NetBSD 9.4